Name:           perl-Module-Starter
Epoch:          1
Version:        1.50
Release:        3%{?dist}
Summary:        A simple starter kit for any module

Group:          Development/Libraries
License:        GPL+ or Artistic        
URL:            http://search.cpan.org/dist/Module-Starter            
Source0: http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/Module-Starter-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## core
BuildRequires:  perl
BuildRequires: perl(Test::More), perl(ExtUtils::Command), perl(File::Spec)
## non-core
BuildRequires:  perl(Getopt::Long), perl(Pod::Usage)
BuildRequires:  perl(Test::Pod::Coverage), perl(Test::Pod)

BuildArch: noarch 
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This is a CPAN module/utility to assist in the creation of new modules in a
sensible and sane fashion.  Unless you're interested in extending the
functionality of this module, you should examine the documentation for
'module-starter', for information on how to use this tool.

It is noted that there are a number of extensions to this tool, including
plugins to create modules using templates as recommended by Damian Conway's
"Perl Best Practices" (O'Reilly, 2005).  (See also the package
perl-Module-Starter-PBP for the aformentioned templates.)


%prep
%setup -q -n Module-Starter-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man[13]/*.[13]*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.50-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.50-2
- correct source

* Wed Nov 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.50-1
- update to 1.50

* Sat Jul 05 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.470-1
- update to 1.470

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.42-5
- rebuild for new perl

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.42-4
- bump for mass rebuild

* Mon Aug 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.42-3
- bump for build & release

* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.42-2
- add additional br's for test suite: 
  perl(Test::Pod::Coverage), perl(Test::Pod)

* Sat Aug 05 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.42-1 
- Initial spec file for F-E
